Upstream information

CVE-2012-6711 at MITRE

Description

A heap-based buffer overflow exists in GNU Bash before 4.3 when wide characters, not supported by the current locale set in the LC_CTYPE environment variable, are printed through the echo built-in function. A local attacker, who can provide data to print through the "echo -e" built-in function, may use this flaw to crash a script or execute code with the privileges of the bash process. This occurs because ansicstr() in lib/sh/strtrans.c mishandles u32cconv().

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity Low High
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1138676 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 12 SP1-LTSS
  • bash >= 4.2-83.6.1
  • bash-doc >= 4.2-83.6.1
  • libreadline6 >= 6.2-83.6.1
  • libreadline6-32bit >= 6.2-83.6.1
  • readline-doc >= 6.2-83.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2976
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • bash >= 4.2-83.6.1
  • bash-doc >= 4.2-83.6.1
  • libreadline6 >= 6.2-83.6.1
  • libreadline6-32bit >= 6.2-83.6.1
  • readline-doc >= 6.2-83.6.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-2976


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 bash Analysis
Magnum Orchestration bash Not affected
SLES for SAP Applications bash Not affected
SLES15-EC2-CHOST-HVM-BYOS bash Analysis
SLES15-SP1-CHOST-BYOS-Azure bash Analysis
SLES15-SP1-CHOST-BYOS-EC2 bash Analysis
SLES15-SP1-CHOST-BYOS-GCE bash Analysis
SLES15-SP2-CHOST-BYOS-Aliyun bash Analysis
SLES15-SP2-CHOST-BYOS-Azure bash Analysis
SLES15-SP2-CHOST-BYOS-EC2 bash Analysis
SLES15-SP2-CHOST-BYOS-GCE bash Analysis
SUSE CaaS Platform 3.0 bash Not affected
SUSE CaaS Platform 4.0 bash Analysis
SUSE Container as a Service Platform 1.0 bash Affected
SUSE Container as a Service Platform 2.0 bash Not affected
SUSE Enterprise Storage 6 bash Not affected
SUSE Enterprise Storage 7 bash Analysis
SUSE Linux Enterprise Desktop 12 bash Affected
SUSE Linux Enterprise Desktop 12 SP1 bash Affected
SUSE Linux Enterprise Desktop 12 SP2 bash Analysis
SUSE Linux Enterprise Desktop 12 SP3 bash Not affected
SUSE Linux Enterprise Desktop 12 SP4 bash Not affected
SUSE Linux Enterprise Desktop 12 SP5 bash Analysis
SUSE Linux Enterprise Desktop 15 bash Not affected
SUSE Linux Enterprise Desktop 15 SP1 bash Not affected
SUSE Linux Enterprise Desktop 15 SP2 bash Analysis
SUSE Linux Enterprise High Performance Computing 12 SP4 bash Not affected
SUSE Linux Enterprise High Performance Computing 15 bash Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 bash Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS bash Analysis
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS bash Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2 bash Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS bash Analysis
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS bash Analysis
SUSE Linux Enterprise High Performance Computing 15-ESPOS bash Analysis
SUSE Linux Enterprise High Performance Computing 15-LTSS bash Analysis
SUSE Linux Enterprise Micro 5.0 bash Analysis
SUSE Linux Enterprise Module for Basesystem 15 bash Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 bash Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 bash Analysis
SUSE Linux Enterprise Real Time 15 SP2 bash Analysis
SUSE Linux Enterprise Server 11 SP3 bash Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS bash Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS bash Not affected
SUSE Linux Enterprise Server 12 bash Affected
SUSE Linux Enterprise Server 12 SP1 bash Affected
SUSE Linux Enterprise Server 12 SP1-LTSS bash Released
SUSE Linux Enterprise Server 12 SP2 bash Analysis
SUSE Linux Enterprise Server 12 SP2-BCL bash Analysis
SUSE Linux Enterprise Server 12 SP2-ESPOS bash Analysis
SUSE Linux Enterprise Server 12 SP2-LTSS bash Not affected
SUSE Linux Enterprise Server 12 SP3 bash Not affected
SUSE Linux Enterprise Server 12 SP3-BCL bash Analysis
SUSE Linux Enterprise Server 12 SP3-ESPOS bash Analysis
SUSE Linux Enterprise Server 12 SP3-LTSS bash Analysis
SUSE Linux Enterprise Server 12 SP4 bash Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS bash Analysis
SUSE Linux Enterprise Server 12 SP4-LTSS bash Analysis
SUSE Linux Enterprise Server 12 SP5 bash Analysis
SUSE Linux Enterprise Server 12-LTSS bash Affected
SUSE Linux Enterprise Server 15 bash Not affected
SUSE Linux Enterprise Server 15 SP1 bash Not affected
SUSE Linux Enterprise Server 15 SP1-BCL bash Analysis
SUSE Linux Enterprise Server 15 SP1-LTSS bash Analysis
SUSE Linux Enterprise Server 15 SP2 bash Analysis
SUSE Linux Enterprise Server 15 SP2-BCL bash Analysis
SUSE Linux Enterprise Server 15 SP2-LTSS bash Analysis
SUSE Linux Enterprise Server 15-LTSS bash Analysis
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 bash Analysis
SUSE Linux Enterprise Server for SAP Applications 12 bash Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 bash Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 bash Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 bash Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 bash Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 bash Analysis
SUSE Linux Enterprise Server for SAP Applications 15 bash Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 bash Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 bash Analysis
SUSE Linux Enterprise Software Development Kit 12 bash Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 bash Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 bash Analysis
SUSE Linux Enterprise Software Development Kit 12 SP3 bash Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 bash Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 bash Analysis
SUSE Linux Enterprise Workstation Extension 12 bash Affected
SUSE Linux Enterprise Workstation Extension 12 SP1 bash Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 bash Analysis
SUSE Linux Enterprise Workstation Extension 12 SP3 bash Not affected
SUSE Linux Enterprise Workstation Extension 12 SP4 bash Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 bash Analysis
SUSE Manager Proxy 4.0 bash Not affected
SUSE Manager Proxy 4.1 bash Analysis
SUSE Manager Retail Branch Server 4.0 bash Not affected
SUSE Manager Retail Branch Server 4.1 bash Analysis
SUSE Manager Server 4.0 bash Not affected
SUSE Manager Server 4.1 bash Analysis
SUSE OpenStack Cloud 7 bash Analysis
SUSE OpenStack Cloud 8 bash Analysis
SUSE OpenStack Cloud 9 bash Analysis
SUSE OpenStack Cloud Crowbar 8 bash Analysis
SUSE OpenStack Cloud Crowbar 9 bash Analysis
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/ceph/prometheus-alertmanager
ses/7/ceph/prometheus-node-exporter
ses/7/ceph/prometheus-server
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.3.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.3.0
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v3.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.3.0
ses/7/cephcsi/csi-snapshotter:v2.1.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v4.2.0
ses/7/prometheus-webhook-snmp
ses/7/rook/ceph
suse/sle-micro/5.0/toolbox
suse/sle15:15.0
suse/sle15:15.1
suse/sle15:15.2
suse/sles/15.2/virt-api:0.38.1
suse/sles/15.2/virt-controller:0.38.1
suse/sles/15.2/virt-handler:0.38.1
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.2/virt-operator:0.38.1
suse/sles12sp3
suse/sles12sp4
suse/sles12sp5
bashAnalysis


SUSE Timeline for this CVE

CVE page created: Tue Jun 18 22:38:55 2019
CVE page last modified: Wed Dec 7 15:44:05 2022